PanamaCipherInfo< B > Struct Template Reference

algorithm info More...

`#include <panama.h>`

Inheritance diagram for PanamaCipherInfo< B >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

### template<class B>
struct PanamaCipherInfo< B >

algorithm info

Definition at line 111 of file panama.h.

The documentation for this struct was generated from the following file:

- panama.h